[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# clock_settime

Set the time of a clock

## Declaration

Source position: linux.pp line 472

`function clock_settime(`
`clk_id: clockid_t;`
`tp: ptimespec`
`):cint;`

## Description

clock_settime sets the current time of the clock specified in clk_id. The time is specified in the tp structure. If the clock exists and the time can be retrieved, 0 is returned. The resolution is truncated to the resolution supported by the specified clock. Note that not all clocks can be set.

## Errors

On Error, -1 is returned. fpgeterrno can be used to get more detailed error information.

## See also

clock_getres |  | Get clock resolution
clock_gettime |  | Get the time of a clock